﻿#target photoshop
var docRef = app.activeDocument;

// store current unit value
var userPrefUnits = app.preferences.rulerUnits;

// change to pixels if not pixels
if(userPrefUnits !== Units.PIXELS){
   app.preferences.rulerUnits = Units.PIXELS;
}

var docWidthOriginal = docRef.width;
var docHeigthOriginal = docRef.height;

var valueOfPixelsToReduceTop = 4;
var valueOfPixelsToReduceRight = 10;
var valueOfPixelsToReduceBottom = 14;
var valueOfPixelsToReduceLeft = 10;

var xCoorRight = docWidthOriginal - valueOfPixelsToReduceRight;
var yCoorBottom = docHeigthOriginal - valueOfPixelsToReduceBottom;

docRef.selection.select(new Array (new Array(valueOfPixelsToReduceRight, valueOfPixelsToReduceTop), new Array(xCoorRight,valueOfPixelsToReduceTop), new Array(xCoorRight,yCoorBottom), new Array(valueOfPixelsToReduceRight,yCoorBottom)));
executeAction( app.charIDToTypeID('Crop'), new ActionDescriptor(),DialogModes.NO );

// reset preference if userPrefUnits was not pixels
if(userPrefUnits !== Units.PIXELS){
   app.preferences.rulerUnits = userPrefUnits;
}